GrailsApplicationCompilerAutoConfiguration (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.cli.boot

## [Java] Class GrailsApplicationCompilerAutoConfiguration

- org.grails.cli.boot.GrailsApplicationCompilerAutoConfiguration

- A org.springframework.boot.cli.compiler.CompilerAutoConfiguration for Grails Micro Service applications

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String[]` | `DEFAULT_IMPORTS` |
    `static java.lang.String` | `ENABLE_AUTO_CONFIGURATION` |
    `static org.codehaus.groovy.ast.ClassNode` | `ENABLE_AUTO_CONFIGURATION_CLASS_NODE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer dependencies)`
    `` | `void` | `applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer imports)`
    `` | `void` | `applyToMainClass(groovy.lang.GroovyClassLoader loader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration configuration, org.codehaus.groovy.classgen.GeneratorContext generatorContext, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `static org.codehaus.groovy.ast.AnnotationNode` | `createGrabAnnotation(java.lang.String group, java.lang.String module, java.lang.String version, java.lang.String classifier, java.lang.String type, boolean transitive)`
    `` | `protected org.springframework.boot.cli.compiler.dependencies.DependencyManagement` | `getAdditionalDependencies()`
    `` | `boolean` | `matches(org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.cli.compiler.CompilerAutoConfiguration` | `org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyToMainClass(groovy.lang.GroovyClassLoader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#matches(org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#apply(groovy.lang.GroovyClassLoader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration, org.codehaus.groovy.classgen.GeneratorContext, org.codehaus.groovy.control.SourceUnit, org.codehaus.groovy.ast.ClassNode), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(long, int), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(long), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#wait(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#equals(java.lang.Object), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#toString(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#hashCode(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#getClass(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#notify(), org.springframework.boot.cli.compiler.CompilerAutoConfiguration#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String[] DEFAULT_IMPORTS

    - #### public static final java.lang.String ENABLE_AUTO_CONFIGURATION

    - #### public static final org.codehaus.groovy.ast.ClassNode ENABLE_AUTO_CONFIGURATION_CLASS_NODE

  - ### Method Detail

    - #### @java.lang.Override public void applyDependencies(org.springframework.boot.cli.compiler.DependencyCustomizer dependencies)

    - #### @java.lang.Override public void applyImports(org.codehaus.groovy.control.customizers.ImportCustomizer imports)

    - #### @java.lang.Override public void applyToMainClass(groovy.lang.GroovyClassLoader loader, org.springframework.boot.cli.compiler.GroovyCompilerConfiguration configuration, org.codehaus.groovy.classgen.GeneratorContext generatorContext, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public static org.codehaus.groovy.ast.AnnotationNode createGrabAnnotation(java.lang.String group, java.lang.String module, java.lang.String version, java.lang.String classifier, java.lang.String type, boolean transitive)

    - #### protected org.springframework.boot.cli.compiler.dependencies.DependencyManagement getAdditionalDependencies()

    - #### @java.lang.Override public boolean matches(org.codehaus.groovy.ast.ClassNode classNode)